
library packlib;
--use packlib.simplepackage.all;

library ieee;
use ieee.std_logic_1164.all;

entity atom is 
    port( in1, in2 : std_logic; out1 : out std_logic_vector( 2 downto 0 ) );
end atom;

architecture atom_arch of atom is
    component element is 
        port( in1, in2 : std_logic; out1 : out std_logic );
    end component element;
    component leaf is 
        port( in1, in2 : std_logic; out1 : out std_logic );
    end component leaf;
    signal sig1 : std_logic;
begin
    inst1 : element port map ( in1, in2, out1(0) );
    inst2 : element port map ( in1, in2, out1(1) );
    inst3 : element port map ( in1, in2, out1(2) );
    inst4 : element port map ( in1, in2, sig1 );
    inst5 : entity vloglib.leaf port map ( in1, in2, sig1 );
end;
